version: "3.9"

services:
  ci_cd_backend:
    image: "${WEB_IMAGE}"
    command: gunicorn djangoCiCdProject.wsgi:application --bind 0.0.0.0:8000
    volumes:
      - static_volume:/app/staticfiles
      - media_volume:/app/media
    ports:
      - "8000:8000"
    env_file:
      - .env
    depends_on:
      - ci_cd_db

  ci_cd_db:
    image: "${DB_IMAGE}"
    volumes:
      - postgres_data:/var/lib/postgresql/data
    env_file:
      - .env

  nginx:
    image: "${NGINX_IMAGE}"
    ports:
      - "80:80"
    volumes:
      - static_volume:/home/app/staticfiles
      - media_volume:/home/app/media
    depends_on:
      - ci_cd_backend
    restart: always


volumes:
  postgres_data:
  static_volume:
  media_volume: